%global srcname lit

Name: python-%{srcname}
Version: 0.8.0
Release: 1%{?dist}
BuildArch: noarch

License: NCSA
Group: Development/Languages
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: https://files.pythonhosted.org/packages/ba/da/c4b2b6ab24c840169e090d6e8f4c1bfa1e8a6b9d0ef3f8ed57ee9f72a317/lit-0.8.0.tar.gz

BuildRequires: python3-setuptools
BuildRequires: python3-devel

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-lit
Summary: LLVM lit test runner for Python 3

Requires: python3-setuptools

%description -n python3-lit
lit is a tool used by the LLVM project for executing its test suites.

%prep
%autosetup -n %{srcname}-%{version}%{?rc_ver:rc%{rc_ver}}

%build
%py3_build

%install
%py3_install

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{srcname}/*.py

%check
# FIXME: Tests fail with python3
#%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.txt
%{python3_sitelib}/*
%{_bindir}/lit

%changelog
* Wed Apr 17 2019 sguelton@redhat.com - 0.8.0-1
- 0.8.0 Release

* Fri Dec 14 2018 Tom Stellard <tstellar@redhat.com> - 0.7.1-1
- 0.7.1 Release

* Tue Nov 27 2018 Tom Stellard <tstellar@redhat.com> - 0.7.0-1
- 0.7.0 Release

* Fri Nov 16 2018 Lumír Balhar <lbalhar@redhat.com> - 0.6.0-6
- Require platform-python-setuptools instead of python3-setuptools
- Resolves: rhbz#1650540

* Mon Oct 01 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-5
- Drop SCL macros

* Wed Sep 12 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-4
- Use versioned python dependencies (python3)

* Mon Aug 27 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-3
- Fix python3 install

* Mon Aug 27 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-2
- Enable python3

* Tue Jul 10 2018 Tom Stellrad <tstellar@redhat.com> - 0.6.0-1
- 0.6.0 Release

* Mon Jul 02 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-4
- Drop python2

* Tue Jun 12 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-3
- Add BuildRequires: scl-utils-build

* Thu Jan 11 2018 Tom Stellard - 0.5.1-2
- Fix build on RHEL8

* Tue Jan 09 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-1
- Rebase to 0.5.1

* Thu Jun 08 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-7
- Build for llvm-toolset-7 rename

* Thu May 18 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-6
- Fix package names

* Wed May 10 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-5
- Next attempt to add runtime dependency on python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-4
- Properly add missing runtime dependency to python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-3
- Add missing runtime dependency to python-setuptools

* Fri Apr 28 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-2
- Add llvm-toolset-4 scl support

* Thu Mar 09 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-1
- Initial version
